Jump to: navigation, search

Difference between revisions of "Hudson-ci/development/third party libraries/3.0.0M3"

Line 34: Line 34:
 
|}
 
|}
  
''Note: Some CQs cover more than one JAR file hence No. CQ&nbsp;!= No. JARs''<br>
+
''Note: Some CQs cover more than one JAR file hence No. CQ&nbsp;!= No. JARs''<br>  
  
=== To Dos ===
+
=== To Dos ===
  
Migration to Antlr 3 - Tracked by Bugzilla&nbsp;[https://bugs.eclipse.org/bugs/show_bug.cgi?id=377056 377056]
+
Migration to Antlr 3 - Tracked by Bugzilla&nbsp;[https://bugs.eclipse.org/bugs/show_bug.cgi?id=377056 377056]  
 +
Replacement of jline with alternative Command Line (e.g. Equinox console)
 +
jsr305-1.3.9.jar is still shipped and should be removed
 +
Check where jaxb-impl-2.2.5.jar came from - is this to replace jaxen?
 +
Check where metainf-services-1.2.jar came from - is this needed? - KK code contains 2 classes only
 +
Check where xmlpull-1.1.3.4d_b4_min.jar came from - is this needed? (http://www.extreme.indiana.edu/dist/java-repository/xpp3/distributions/)
  
 
=== Detail For hudson-core  ===
 
=== Detail For hudson-core  ===
Line 137: Line 142:
 
| {{Cq|6155}}  
 
| {{Cq|6155}}  
 
|  
 
|  
|
+
|  
 
|-
 
|-
 
| commons-jelly-tags-define-1.0.1-hudson-20071021.jar  
 
| commons-jelly-tags-define-1.0.1-hudson-20071021.jar  
Line 164: Line 169:
 
|  
 
|  
 
|-
 
|-
| commons-lang-2.5.jar  
+
| commons-lang-2.4.jar  
| {{Cq|6106}}  
+
| {{Cq|5609}}  
 
| Y  
 
| Y  
| We now seem to be shipping 2.4 not 2.5 (commons-lang-2.4.jar)
+
|  
 
|-
 
|-
 
| commons-lang3-3.0.1.jar  
 
| commons-lang3-3.0.1.jar  
 
| {{Cq|6116}}  
 
| {{Cq|6116}}  
| Awaiting Approval
+
| Y
 
|  
 
|  
 
|-
 
|-
Line 202: Line 207:
 
| {{Cq|5688}}  
 
| {{Cq|5688}}  
 
| Y  
 
| Y  
|
 
|-
 
| groovy-all-1.8.1.jar
 
| {{Cq|5689}}
 
| Awaiting Approval
 
 
|  
 
|  
 
|-
 
|-
Line 212: Line 212:
 
| {{Cq|6109}}  
 
| {{Cq|6109}}  
 
| Y  
 
| Y  
 +
|
 +
|-
 +
| jaxb-impl-2.2.5.jar
 +
| {{Cq|}}
 +
| CQ Required if needed
 
|  
 
|  
 
|-
 
|-
Line 287: Line 292:
 
| {{Cq|5693}}  
 
| {{Cq|5693}}  
 
| Y  
 
| Y  
 +
|
 +
|-
 +
| metainf-services-1.2.jar
 +
| {{Cq|}}
 +
| CQ needed if this is required
 
|  
 
|  
 
|-
 
|-
Line 377: Line 387:
 
| {{Cq|5758}}  
 
| {{Cq|5758}}  
 
| Y  
 
| Y  
|
 
|-
 
| stapler-1.155.jar
 
| {{Cq|6210}}
 
| Approved
 
|
 
|-
 
| stapler-jelly-1.155.jar
 
| {{Cq|6214}}
 
| Approved
 
 
|  
 
|  
 
|-
 
|-
Line 422: Line 422:
 
| {{Cq| }}  
 
| {{Cq| }}  
 
|  
 
|  
| Note this Library is LGPL (see: http://mmilinkov.wordpress.com/2009/04/30/lgpl-pain/). Have mailed the owner to get an alternative license.
+
| Note this Library is LGPL (see: http://mmilinkov.wordpress.com/2009/04/30/lgpl-pain/). Assume it will need to be replaced
 
|-
 
|-
 
| xpp3-1.1.4c.jar  
 
| xpp3-1.1.4c.jar  

Revision as of 08:09, 27 April 2012

Hudson Continuous Integration Server
Website
Download
Community
Mailing ListForumsIRCmattermost
Bugzilla
OpenHelp WantedBug Day
Contribute
Browse Source
Hudson-bust.png Library Usage:
Hudson 3.0.0 Milestone 3











Status

This page reflects the libraries packaged within the Hudson 3.0.0 Milestone 3 build - Work In progress

Summary

As Of Date
Total No. JARs 80
Total No. Libraries needing CQs
Approved CQs
CQs in Parallel Approval
Old CQs awaiting approval
New CQs created for this release so far (upgrades etc.)
Additional CQ's Required

Note: Some CQs cover more than one JAR file hence No. CQ != No. JARs

To Dos

Migration to Antlr 3 - Tracked by Bugzilla 377056 Replacement of jline with alternative Command Line (e.g. Equinox console) jsr305-1.3.9.jar is still shipped and should be removed Check where jaxb-impl-2.2.5.jar came from - is this to replace jaxen? Check where metainf-services-1.2.jar came from - is this needed? - KK code contains 2 classes only Check where xmlpull-1.1.3.4d_b4_min.jar came from - is this needed? (http://www.extreme.indiana.edu/dist/java-repository/xpp3/distributions/)

Detail For hudson-core

Jar CQ Approved Notes
activation-1.1.1.jar CQ 5774 Y
annotation-indexer-1.2.jar CQ 5569 P
ant-1.8.2.jar CQ 5621 Y
antlr-2.7.7.jar CQ 6140 Rejected We've commuted the GQ to Antlr 3.0 which is approved 
aopalliance-1.0.jar CQ 5772 Y
args4j-2.0.16.jar CQ 5570 P
asm-all-2.2.3.jar CQ 5572 Y
aspectjrt-1.6.11.jar Not Required Eclipse Project
aspectjweaver-1.6.11.jar Not Required Eclipse Project
commons-beanutils-1.8.0.jar CQ 5599 Y
commons-codec-1.4.jar CQ 5601 Y
commons-collections-3.2.jar CQ 5602 Y
commons-digester-1.7.jar CQ 5603 Y
commons-digester3-3.0.jar CQ 6141 Awaiting Approval
commons-discovery-0.4.jar CQ 5604 Y
commons-fileupload-1.2.1.jar CQ 5605 Y
commons-io-2.0.1.jar CQ 6105 Y
commons-jelly-1.1-hudson-20100305.jar CQ 6155
commons-jelly-tags-define-1.0.1-hudson-20071021.jar CQ 6188 Awaiting Approval
commons-jelly-tags-fmt-1.0.jar CQ 5682 Y
commons-jelly-tags-xml-1.1.jar CQ 5683 Y
commons-jexl-1.1-hudson-20090508.jar CQ Note we have 2.0.1 in the approval process do we need this as well?
commons-jexl-2.0.1.jar CQ 5684 P
commons-lang-2.4.jar CQ 5609 Y
commons-lang3-3.0.1.jar CQ 6116 Y
commons-logging-1.1.1.jar CQ 5607 Y
dom4j-1.6.1-hudson-3.jar CQ 6108 Y
ezmorph-1.0.6.jar CQ 5686 P
ganymed-ssh-2-build260.jar CQ 5765 Awaiting Approval May need to switch to JSCH
gossip-bootstrap-1.7.jar CQ 5687 Y
gossip-support-1.7.jar CQ 5688 Y
guava-10.0.1.jar CQ 6109 Y
jaxb-impl-2.2.5.jar CQ CQ Required if needed
jaxen-1.1.3.jar CQ 5692 Rejected
jdom-1.0.jar CQ 6112 Y
jetty.jar (6.1.26) Not Required Eclipse Project
jetty-servlet-api.jar (6.1.26) Not Required Eclipse Project
jetty-util.jar (6.1.26) Not Required Eclipse Project
jline-0.9.94.jar CQ 5727 Rejected Equinox console is a possible W/A
jmdns-3.4.0.jar CQ 5728 P
jna-posix-1.0.3.jar CQ 5730 Awaiting Approval
json-lib-2.4-jdk15.jar CQ 6129 Awaiting Approval
jsr305-1.3.9.jar CQ 6185 Withdrawn Should be removed
jstl-1.1.0.jar CQ 5732 Y
jtidy-r938.jar CQ 6191 Awaiting Approval
localizer-1.10.jar CQ 5767 Awaiting Approval
log4j-1.2.13.jar CQ 5620 Y
mail-1.4.jar CQ 5693 Y
metainf-services-1.2.jar CQ CQ needed if this is required
servlet-api-2.4.jar CQ 5694 Y
sezpoz-1.9.jar CQ 5733 P
sisu-guice-3.0.3-no_aop.jar CQ 6207 Awaiting Approval
sisu-inject-bean-2.2.3.jar CQ 6208 Awaiting Approval
slf4j-api-1.6.1.jar CQ 5563 Y
slf4j-jdk14-1.6.1.jar CQ 5565 Y
spring-aop-2.5.6.jar CQ 5755 Y
spring-beans-2.5.6.jar CQ 5754 Y
spring-context-2.5.6.jar CQ 6114 Y
spring-core-2.5.6.jar CQ 5753 Y
spring-dao-2.0.8.jar CQ 5820 Y
spring-jdbc-2.5.6.jar CQ 5760 Y
spring-ldap-1.2.1.jar CQ 6209 Awaiting Approval
spring-security-acl-2.0.7.RELEASE.jar CQ 5822 P
spring-security-core-2.0.7.RELEASE.jar CQ 5822 P
spring-support-2.0.8.jar CQ 5756 Y
spring-tx-2.5.6.jar CQ 5757 Y
spring-web-2.5.6.jar CQ 5758 Y
task-reactor-1.2.jar CQ 5769 Awaiting Approval
tiger-types-1.3.jar CQ 6215 Awaiting Approval
xalan-2.6.0.jar CQ 6127 Y
xml-apis-1.0.b2.jar CQ 6217 Awaiting Approval
xmlParserAPIs-2.6.2.jar CQ 6220 Y
xmlpull-1.1.3.1.jar CQ 5773 Y
xom-1.0.jar CQ Note this Library is LGPL (see: http://mmilinkov.wordpress.com/2009/04/30/lgpl-pain/). Assume it will need to be replaced
xpp3-1.1.4c.jar CQ 6229 Awaiting Approval
xstream-1.4.1-hudson-2.jar CQ 5771 Y